Package relaxngcc.datatype

## Class ParserRuntime

- java.lang.Object
- - relaxngcc.datatype.parser.NGCCRuntime
  - - relaxngcc.datatype.ParserRuntime

- All Implemented Interfaces:
    `org.xml.sax.ContentHandler`, `NGCCEventSource`

      public final class ParserRuntime
      extends NGCCRuntime

  Parses a datatype definition file.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createDatatype​(java.lang.String name, java.lang.String javaType, java.util.ArrayList resources, Macro m)` |
    `void` | `createResource​(java.lang.String name, Macro m)` | Creates a new Resource object.
    `relaxngcc.datatype.Resource` | `getResource​(java.lang.String resName)` | Obtains a reference to a resource.
    `void` | `setURI​(java.lang.String uri)` |

    - ### Methods inherited from class relaxngcc.datatype.parser.NGCCRuntime

      `characters, consumeAttribute, endDocument, endElement, endPrefixMapping, getAttributeIndex, getCurrentAttributes, getLocator, ignorableWhitespace, onEnterElementConsumed, onLeaveElementConsumed, processingInstruction, processList, redirectSubtree, replace, reset, resolveNamespacePrefix, sendEnterAttribute, sendEnterElement, sendLeaveAttribute, sendLeaveElement, sendText, setDocumentLocator, setRootHandler, skippedEntity, startDocument, startElement, startPrefixMapping, trace, traceln`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setURI

          public void setURI​(java.lang.String uri)

    - #### createResource

          public void createResource​(java.lang.String name,
                                     Macro m)
                              throws org.xml.sax.SAXException

      Creates a new Resource object.
      Throws:
        `org.xml.sax.SAXException`

    - #### getResource

          public relaxngcc.datatype.Resource getResource​(java.lang.String resName)
                                                  throws org.xml.sax.SAXException

      Obtains a reference to a resource.
      Returns:
        non-null valid object.
      Throws:
        `org.xml.sax.SAXException`

    - #### createDatatype

          public void createDatatype​(java.lang.String name,
                                     java.lang.String javaType,
                                     java.util.ArrayList resources,
                                     Macro m)
                              throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`